Bug 186202 - Incomplete i386 cd iso images
Incomplete i386 cd iso images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda-images (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 02:57 EST by Gabriel Mihaes
Modified: 2008-01-05 08:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-05 08:45:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Diff of iso and dvd rpm listinng (2.16 KB, patch)
2006-03-22 07:55 EST, Paul Nasrat
no flags Details | Diff

  None (edit)
Description Gabriel Mihaes 2006-03-22 02:57:38 EST
Description of problem:
i386 binary cd iso images seem to be missing some packages like kernel-devel,
while the dvd iso image includes all of them.

Version-Release number of selected component (if applicable):


How reproducible:
Compare the number of rpm packages contained in the i386 binary cd iso images
with the ones from dvd iso image.

Steps to Reproduce:
1.Number of rpm packages in the binary cd iso images is 2185 and the dvd binary
iso contains 2207 packages.
  
Actual results:
2185

Expected results:
2207
Comment 1 Paul Nasrat 2006-03-22 07:55:05 EST
Created attachment 126469 [details]
Diff of iso and dvd rpm listinng

Sounds like a splittree bug it's all *-kernel-*
Comment 2 Dennis Gregorovic 2006-03-23 01:26:30 EST
The cause looks to be pkgorder.  The missing packages are not being included in
the pkgorder output.  

pkgorder special cases the kernel packages to spit them out first and then skips
them later.  The problem is that it skips more that it matches in the beginning.  
Comment 4 Scott R. Godin 2006-04-30 00:02:39 EDT
this was especially problematic for me this afternoon after bittorrenting down 
FC5 and blowing away my old FC4 install so I could have my new 250GB SATA 
drive :) 

I have an RT2500 wireless card, and had downloaded the drivers for it from rt2x
00.serialmonkey.com, and had planned to build them by hand and install them -- 
it conveniently comes with a (make && make install-fedora) setup in the 
Makefile. 

however, with no kernel-devel available to me, there was no way to build the 
driver for the wireless card so I could get on the internet to download the 
needed kernel-devel package. catch-22. I was chewing nails till roomie got 
home, unlocked his room, and let me on his system to jam the rpms on a thumb 
drive. 

Please consider re-releasing the ISO images with this fixed -- definite show 
stopper in my case. Thank god I wasn't doing this for a client, as it would 
have been particularly embarassing. 

Otherwise it looks gorgeous. I'm mighty pleased with FC5 thus far. 
Comment 5 Jeff Moe (jebba) 2007-01-12 23:51:25 EST
Looks like this:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=206211
and this:
https://www.redhat.com/archives/fedora-buildsys-list/2006-December/msg00015.html

pkgorder reliably skips some files...
Comment 6 Red Hat Bugzilla 2007-08-21 01:22:35 EDT
User pnasrat@redhat.com's account has been closed
Comment 7 Till Maas 2008-01-05 08:45:43 EST
Fedora 5 is EOL, so there will be no fix and I guess the new releases (Fedora 7
and 8) are fixed. In case this bug is still there, please reopen this bug and
adjust the version.

Note You need to log in before you can comment on or make changes to this bug.